eoAtomExchange(3)

NAME
eoAtomExchange - A helper class for choosing which genes to exchange.

SYNOPSIS

#include <eoVariableLengthCrossover.h>

Inherits eoBF< unsigned, Atom &, bool >.

Inherited by eoUniformAtomExchange< Atom >.

  Public Member Functions
virtual void randomize (unsigned int, unsigned int)
a function to initlialize - to be called before every crossover
virtual std::string className () const =0
the inherited className()

Detailed Description

  template<class Atom> class eoAtomExchange< Atom >
A helper class for choosing which genes to exchange.

Definition at line 41 of file eoVariableLengthCrossover.h.

Author

Generated automatically by Doxygen for EO from the source code.